/* Created by John Halderson. */
/* Styling for DTstreets.html which is a part of the website DTownhistory.com */

/* Default layout and styling. */
/* This is for mobile devices. */
 
.site-main {
	overflow: hidden;
}

.site-page {
	display: grid;
	grid-template-columns: 0rem 1fr; /* Two columns, but first column has no width. */
	grid-template-rows: 1fr;		 /* One row */
	grid-template-areas: 
		"list map";
	
	margin: 0;
	padding: 0;
}


#myContent {
	height: 85vh;	
}

/*
#colophon {
	display: none;
}
*/

#streetlist {
	grid-area: list;
	background-color: #E1F1DD;   /* light greenish */
	font-size: 1rem;
	overflow-y: auto;
	list-style-type: none;
}

.streetlist-hide {
	display: none;
	/*
	height: auto;
	padding: 0;
	color: hsla(0, 0%, 0%, 0);
	*/
}

.streetlist-show {
	grid-area: list;
	padding: 10px;
}

#map {
	grid-area: map;
}  

.mySearchControl-visibility {
	visibility: visible;
}

#myShowStreetButton {
	padding: 8px 8px;
	font-size: 12px;
	font-weight: bold;
    background: white;
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
    color: #000;
    border: 1px solid #888;
	border-radius: 4px;
	position: absolute;
	left: 15px;
	bottom: 60px;
	cursor: pointer;
	visibility: hidden;
	z-index: 1000; /* This ensures that the Button is always on top. */
}

#street-count {
	visibility: visible;
	position: absolute;
	right: 15px;
	bottom: 60px;
	z-index:1000;
	margin: 4px;
	padding: 4px;
	background-color: white;
	border: 1px solid black;
	border-radius: 4px;
}

#loadingScreen{
	position:absolute;
    display: flex;
	justify-content: center;
    left:0;
    top:0;
    width:100%;
    height:100%;
    text-align:center;
    z-index:1001;    
    /*vertical-align: middle;*/
    background-color: #fff; 
	opacity: 0.6;	
}

div.splashLoading {
    height: 170px;
    background: transparent url('../../DT_assets/images/loading.gif') no-repeat center center;
}

div.splashStatus {
    padding-top: 4px;
    font-size: 20px;
    font-weight: bold;
    line-height: 100%;
}

div.splashTop {
    font-size: 36px;
    font-weight: bold;    
    padding-top: 18px;
    padding-bottom: 4px;
    line-height: 100%;
}

div.splashBottom {
    font-weight: normal;
    font-size: 18px;
    padding-bottom: 210px;    
}

.info_help_icon {
	background: url('../../DT_assets/images/help_icon.jpg') no-repeat center center;
}

.highlight {
	color: #F46D43; /* Orangeish */
	/*opacity: 2,*/
	font-weight: bold;
}

.popup-header {
    margin: 0 0 5px 0;  
	text-align: center;	
    font-weight: bold;
    font-size: 20px;	
}


.infoImage {
}

.popup-image {
	border-radius: 4px;
	width: 130px;
}


/* 
###########################################################
## For larger screens - Desktops
## 60rem = 960px
## This overrides any above settings.
###########################################################
*/
@media screen and (min-width: 960px) {
	
	.site-page {
		display: grid;
		grid-template-columns: auto 1fr;	/* Two columns */
		grid-template-rows: 1fr;			/* One row */
		grid-template-areas: 
			"list map";
	
		margin: 0;
		padding: 0;
	}
	
	#myShowStreetButton {
		visibility: visible;
	}
	
	#myShowStreetButton:hover {
		text-decoration: underline;
		background-color: lightblue;
	}
	
	#myContent {
		height: 80vh;
	}	
	
	.mySearchControl-visibility {
	visibility: hidden;
	}
}
